Subject: Fw: Failed to setup RMII ethernet on PPC4 40GP

From: "Denny" <[email-masked]>
Date: Wed, 12 Jul 2006 17:03:26 +0800 (CST)

Hi,
 
  I failed to setup RMII ethernet interface of the UBoot on my custom board -- PPC440GP,
It always tell me "time out", and the wrong ethernet speed, why?
 
  I defined the MII and RMII macro in my config header, and still does not work.
  (Anyway, I success to setup a MII ethernet interface on the PPC405GP,should I change the RMII interface to MII on the hardware level?)
 
logs:
u-boot => tftp 0x100000 tmp.img
miiphy_register: non unique device name 'ppc_4xx_eth0'
Waiting for PHY auto negotiation to complete..... TIMEOUT !
 done
ENET Speed is 10 Mbps - HALF duplex connection
TFTP from server 192.168.65.235; our IP address is 192.168.65.239
Filename 'tmp.img'.
Load address: 0x100000
Loading: T T
 
Thanks & Regards!
- Denny

想 要 体 验 一 下 超 大 超 快 的 免 费 邮 箱 吗 ？ 
网 易 3G 免 费 邮 ，抢 注 再 得 280 兆 大 容 量 网 盘 ，快 来 体 验 邮 箱 极 速 之 旅